## ros-melodic-jsk-rqt-plugins 2.1.7

=== debian/changelog ===
ros-melodic-jsk-rqt-plugins (2.1.7-2stretch) stretch; urgency=high

  * add noetic test (#774 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/774>)
    
      * run 2to3 -f except
      * support noetic, conver to package format 3
    
  * Contributors: Kei Okada

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sat, 17 Oct 2020 00:00:00 -0000

ros-melodic-jsk-rqt-plugins (2.1.6-2stretch) stretch; urgency=high

  * fix test failure in jsk_rqt_plugins (#766 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/766>)
    
      * disable jsk_rqt_plugins test in indigo
        this is because indigo does not support matplotlib
        liner_model.RANSACRegressor.
    
  * [jsk_rqt_plugins] load rosparam correctly in button_general.py (#746 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/746>)
  * Replace image_pipeline with image_publisher (#729 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/729>)
    
      * Replace image_pipeline with image_publisher
        * image_pipeline is a meta package and normal ros packages are not
        intended to depend on meta packages.
    
  * Contributors: Ryohei Ueda, Shingo Kitagawa

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 13 Apr 2020 00:00:00 -0000

ros-melodic-jsk-rqt-plugins (2.1.5-2stretch) stretch; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 18 Feb 2019 00:00:00 -0000

ros-melodic-jsk-rqt-plugins (2.1.4-2stretch) stretch; urgency=high

  * Fix install destination (#717 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/717>)
    * Update comment about installation
    * Add comment for install destination
    * Install missing test/ as well
    * Use source permission when installing executables
    * Fix installation destination
  * [jsk_rqt_plugins] Fix for working correctly on kinetic + qt5 (#708 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/708>)
    * Add sample for rqt_image_view2
    * Update test for rqt_drc_mini_maxwell
    * Add sample for rqt_drc_mini_maxwell
    * Update test for rqt_3d_plot
    * Add sample for rqt_3d_plot
    * Fix for substituting to 'intercept'
    * Specify version of image_pipeline
    * Support matplotlib backend for qt5
    * Support qt>=5 in rqt plugins
    * Add dependency for test
    * Set retry=3 for test
    * Install all programs in jsk_rqt_plugins/bin/
    * Add test for program in jsk_rqt_plugins
    * use matplotlib.backends.backend_qt5agg in Qt5
    * add queue_size in publishers
    * check opencv version for kinetic
    * follow new sklearn ranac linear regression
    * use correct module for qt5
    * refactor plot_2d.py
  * [jsk_rqt_plugins] fix hist.py to work on kinetic (#707 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/707>)
  * Revert "[jsk_rqt_plugins/HistogramPlot] modify to correctly run on kinetic (#688 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/688>)" (#704 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/704>)
    This reverts commit 79dcedf7fd761fc638f1cffc1cfaa46a7bb4f1a2.
  * [jsk_rqt_plugins/HistogramPlot] modify to correctly run on kinetic (#688 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/688>)
    * refactor codes in hist.py
    * use correct module of qt5 for kinetic
    * check opencv version for kinetic
    * add queue_size in publisher
  * [jsk_rqt_plugins] Add dependency of sklearn (#701 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/701>)
  * Add <url> to package.xml to add link to README (#681 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/681>)
  * Contributors: Kei Okada, Kentaro Wada, Masaki Murooka, Shingo Kitagawa, Yuto Uchimi, Iory Yanokura

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 01 Nov 2018 00:00:00 -0000

ros-melodic-jsk-rqt-plugins (2.1.3-2stretch) stretch; urgency=high

  * PR #672 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/672> needs jsk_gui_msgs 4.3.0 (https://github.com/jsk-ros-pkg/jsk_common_msgs/pull/18) (#673 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/673>)
  * Display message on rqt_yn_btn (#672 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/672>)
  * Contributors: Kei Okada, Kentaro Wada

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 26 Oct 2017 00:00:00 -0000

ros-melodic-jsk-rqt-plugins (2.1.2-2stretch) stretch; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Fri, 07 Jul 2017 00:00:00 -0000

ros-melodic-jsk-rqt-plugins (2.1.1-2stretch) stretch; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Wed, 15 Feb 2017 00:00:00 -0000

ros-melodic-jsk-rqt-plugins (2.1.0-2stretch) stretch; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 13 Feb 2017 00:00:00 -0000

ros-melodic-jsk-rqt-plugins (2.0.1-2stretch) stretch; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 15 Dec 2016 00:00:00 -0000

ros-melodic-jsk-rqt-plugins (2.0.0-2stretch) stretch; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Wed, 14 Dec 2016 00:00:00 -0000

ros-melodic-jsk-rqt-plugins (1.0.34-2stretch) stretch; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 29 Sep 2016 00:00:00 -0000

ros-melodic-jsk-rqt-plugins (1.0.33-2stretch) stretch; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Tue, 13 Sep 2016 00:00:00 -0000

ros-melodic-jsk-rqt-plugins (1.0.32-2stretch) stretch; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Wed, 20 Jul 2016 00:00:00 -0000

ros-melodic-jsk-rqt-plugins (1.0.31-2stretch) stretch; urgency=high

  * Warn about unsupported topic type
  * Check class type of data instead of subscribed topic type in rqt_histgram_plot to support HistgramWithRangeArray
  * Contributors: Kentaro Wada, Iori Kumagai

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Thu, 19 May 2016 00:00:00 -0000

ros-melodic-jsk-rqt-plugins (1.0.30-2stretch) stretch; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Fri, 25 Mar 2016 00:00:00 -0000


