## ros-melodic-jsk-rqt-plugins 2.1.8

=== debian/changelog ===
ros-melodic-jsk-rqt-plugins (2.1.8-1bionic) bionic; urgency=high

  * [jsk_interactive_markers][jsk_rqt_plugins] fix yaml load (#818 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/818>)
  * fix with '2to3 -w -f zip .' (#817 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/817>)
    
      * In python3, sys.maxint changed to sys.maxsize
      * fix "TypeError: 'dict_keys' object is not subscriptable" error
        we can fix this by '2to3 -w -f dict', but it will change too many lines, so we do not use this for now....
      * fix with '2to3 -w -f import .'
      * fix cStringIO.StringIO -> io.BytesIO, see https://stackoverflow.com/questions/11914472/stringio-in-python3 / https://stackoverflow.com/questions/50797043/string-argument-expected-got-bytes-in-buffer-write
      * [jsk_rqt_plugins][jsk_rviz_plugins] Fix has_key
    
  * add tabbed_buttuns to rqt_plugin (#813 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/813>)
  * update .travis to 0.5.21 (#814 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/814>)
  * Updating the URLs of the jsk_rviz_plugins and jsk_rqt_plugins so the generated README points to working links (closes #805 ). (#806 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/806>)
  * Support single button setup in ServiceButtons plugin (#798 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/798>)
    
      * *column_indices expects to be an array of integers and the length
    should be equal or longer than 2.
    * If column_indices is just an array of a single integer (length is
    1), do not apply sum with expanding a list argument.
  * fix for using button_general.py without perspective file (#796 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/796>)
  * [jsk_rqt_plugins/button_general.py] reset button if SetBool fail (#794 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/794>)
  * sample_service_button.py support SetBool (#792 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/792>)
  * add sample_service_radio_buttons script (#789 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/789>)
  * add sample_service_buttons scriptf (#790 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/790>)
  * add sample_service_buttons.launch (#791 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/791>)
  * Contributors: Adi Vardi, Kei Okada, Naoki Hiraoka, Ryohei Ueda, Sam Pfeiffer, Shingo Kitagawa, Yohei Kakiuchi

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Mon, 10 Jan 2022 15:00:00 -0000

ros-melodic-jsk-rqt-plugins (2.1.7-1bionic) bionic; urgency=high

  * add noetic test (#774 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/774>)
    
      * run 2to3 -f except
      * support noetic, conver to package format 3
    
  * Contributors: Kei Okada

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Fri, 16 Oct 2020 15:00:00 -0000

ros-melodic-jsk-rqt-plugins (2.1.6-1bionic) bionic; urgency=high

  * fix test failure in jsk_rqt_plugins (#766 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/766>)
    
      * disable jsk_rqt_plugins test in indigo
        this is because indigo does not support matplotlib
        liner_model.RANSACRegressor.
    
  * [jsk_rqt_plugins] load rosparam correctly in button_general.py (#746 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/746>)
  * Replace image_pipeline with image_publisher (#729 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/729>)
    
      * Replace image_pipeline with image_publisher
        * image_pipeline is a meta package and normal ros packages are not
        intended to depend on meta packages.
    
  * Contributors: Ryohei Ueda, Shingo Kitagawa

 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sun, 12 Apr 2020 15:00:00 -0000

ros-melodic-jsk-rqt-plugins (2.1.5-1bionic) bionic; urgency=high



 -- Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>  Sun, 17 Feb 2019 15:00:00 -0000

ros-melodic-jsk-rqt-plugins (2.1.4-1bionic) bionic; urgency=high

  * Fix install destination (#717 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/717>)
    * Update comment about installation
    * Add comment for install destination
    * Install missing test/ as well
    * Use source permission when installing executables
    * Fix installation destination
  * [jsk_rqt_plugins] Fix for working correctly on kinetic + qt5 (#708 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/708>)
    * Add sample for rqt_image_view2
    * Update test for rqt_drc_mini_maxwell
    * Add sample for rqt_drc_mini_maxwell
    * Update test for rqt_3d_plot
    * Add sample for rqt_3d_plot
    * Fix for substituting to 'intercept'
    * Specify version of image_pipeline
    * Support matplotlib backend for qt5
    * Support qt>=5 in rqt plugins
    * Add dependency for test
    * Set retry=3 for test
    * Install all programs in jsk_rqt_plugins/bin/
    * Add test for program in jsk_rqt_plugins
    * use matplotlib.backends.backend_qt5agg in Qt5
    * add queue_size in publishers
    * check opencv version for kinetic
    * follow new sklearn ranac linear regression
    * use correct module for qt5
    * refactor plot_2d.py
  * [jsk_rqt_plugins] fix hist.py to work on kinetic (#707 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/707>)
  * Revert "[jsk_rqt_plugins/HistogramPlot] modify to correctly run on kinetic (#688 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/688>)" (#704 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/704>)
    This reverts commit 79dcedf7fd761fc638f1cffc1cfaa46a7bb4f1a2.
  * [jsk_rqt_plugins/HistogramPlot] modify to correctly run on kinetic (#688 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/688>)
    * refactor codes in hist.py
    * use correct module of qt5 for kinetic
    * check opencv version for kinetic
    * add queue_size in publisher
  * [jsk_rqt_plugins] Add dependency of sklearn (#701 <https://github.com/jsk-ros-pkg/jsk_visualization/issues/701>)

