=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ryohei Ueda <ueda@jsk.t.u-tokyo.ac.jp>
 Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-image-view2, ros-melodic-message-generation, ros-melodic-mk, ros-melodic-rosbuild, ros-melodic-roslaunch, ros-melodic-rostest
-Homepage: http://jsk-docs.readthedocs.io/en/latest/jsk_visualization/doc/jsk_rqt_plugins
+Homepage: https://jsk-visualization.readthedocs.io/en/latest/jsk_rqt_plugins/index.html
 Standards-Version: 3.9.2
 
 Package: ros-melodic-jsk-rqt-plugins
